
( function ( blocks, element, blockEditor ) {
    const el = element.createElement,
        registerBlockType = blocks.registerBlockType,
        ServerSideRender = PgServerSideRender,
        InspectorControls = blockEditor.InspectorControls,
        useBlockProps = blockEditor.useBlockProps;
        
    const {__} = wp.i18n;
    const {ColorPicker, TextControl, ToggleControl, SelectControl, Panel, PanelBody, Disabled, TextareaControl, BaseControl} = wp.components;
    const {useSelect} = wp.data;
    const {RawHTML, Fragment} = element;
   
    const {InnerBlocks, URLInputButton, RichText} = wp.blockEditor;
    const useInnerBlocksProps = blockEditor.useInnerBlocksProps || blockEditor.__experimentalUseInnerBlocksProps;
    
    const propOrDefault = function(val, prop, field) {
        if(block.attributes[prop] && (val === null || val === '')) {
            return field ? block.attributes[prop].default[field] : block.attributes[prop].default;
        }
        return val;
    }
    
    const block = registerBlockType( 'flexwebsite/pricing-plan-feature', {
        apiVersion: 2,
        title: 'Pricing plan feature',
        icon: 'block-default',
        category: 'flex',
        parent: [ 'flexwebsite/pricing-plan' ],

        keywords: [],
        supports: {color: {background: false,text: false,gradients: false,link: false,},typography: {fontSize: false,},anchor: false,align: false,},
        attributes: {
            name: {
                type: 'text',
                default: `Access to all features`,
            }
        },
        example: { attributes: { name: `Access to all features` } },
        edit: function ( props ) {
            const blockProps = useBlockProps({ className: 'flex items-center mb-4 text-coolGray-500 font-medium' });
            const setAttributes = props.setAttributes; 
            
            
            const innerBlocksProps = null;
            
            
            return el(Fragment, {}, [
                el('li', { ...blockProps }, [el('img', { className: 'mr-3', src: (pg_project_data_flexwebsite ? pg_project_data_flexwebsite.url : '') + 'images/checkbox-green.svg' }), el(RichText, { tagName: 'span', value: propOrDefault( props.attributes.name, 'name' ), onChange: function(val) { setAttributes( {name: val }) }, withoutInteractiveFormatting: true, allowedFormats: [] })]),                        
                
                    el( InspectorControls, {},
                        [
                            
                            el(Panel, {},
                                el(PanelBody, {
                                    title: __('Block properties')
                                }, [
                                    
                                    el(TextControl, {
                                        value: props.attributes.name,
                                        help: __( '' ),
                                        label: __( 'Name' ),
                                        onChange: function(val) { setAttributes({name: val}) },
                                        type: 'text'
                                    }),    
                                ])
                            )
                        ]
                    )                            

            ]);
        },

        save: function(props) {
            const blockProps = useBlockProps.save({ className: 'flex items-center mb-4 text-coolGray-500 font-medium' });
            return el('li', { ...blockProps }, [el('img', { className: 'mr-3', src: (pg_project_data_flexwebsite ? pg_project_data_flexwebsite.url : '') + 'images/checkbox-green.svg' }), el(RichText.Content, { tagName: 'span', value: propOrDefault( props.attributes.name, 'name' ) })]);
        }                        

    } );
} )(
    window.wp.blocks,
    window.wp.element,
    window.wp.blockEditor
);                        
