<?php get_header(); ?>

<?php if ( is_active_sidebar( 'top' ) ) : ?>
    <div class="pg-empty-placeholder">
        <?php dynamic_sidebar( 'top' ); ?>
    </div>
<?php endif; ?>
<?php if ( have_posts() ) : ?>
    <?php while ( have_posts() ) : the_post(); ?>
        <?php PG_Helper::rememberShownPost(); ?>
        <div id="content" <?php post_class(); ?>>
            <section class="py-16 md:py-24 lg:pb-52 bg-white" style="background-image: url('<?php echo get_template_directory_uri(); ?>/images/pattern-white.svg'); background-repeat: no-repeat; background-position: center top;">
                <div class="container px-4 mx-auto">
                    <div class="flex flex-wrap items-center mb-0">
                        <div class="mb-8 w-full md:mb-0 md:w-1/2">
                            <h1 class="mb-4 text-4xl md:text-5xl leading-tight text-darkCoolGray-900 font-bold tracking-tighter"><?php the_title(); ?></h1>
                            <p class="text-lg md:text-xl text-coolGray-500 font-medium"><?php echo get_the_excerpt(); ?></p>
                            <div class="mt-4">
                                <?php $terms = get_the_terms( get_the_ID(), 'category' ) ?>
                                <?php if( !empty( $terms ) ) : ?>
                                    <?php foreach( $terms as $term ) : ?>
                                        <a class="inline-block py-1 px-3 text-xs leading-5 text-green-500 hover:text-green-600 font-medium uppercase bg-green-100 hover:bg-green-200 rounded-full shadow-sm" href="<?php echo esc_url( get_term_link( $term, 'category' ) ) ?>"><?php echo $term->name; ?></a>
                                    <?php endforeach; ?>
                                <?php endif; ?>
                            </div>
                            <p class="font-medium mb-0 mt-4 text-coolGray-500"><a href="<?php echo get_author_posts_url( false, get_the_author_meta( 'user_nicename', false ) ) ?>"><?php echo get_the_author_meta( 'display_name', false ) ?></a> &bull; <span><?php the_time( get_option( 'date_format' ) ); ?></span></p>
                        </div>
                        <div class="w-full md:w-1/2"><a class="block mb-6 overflow-hidden rounded-md" href="<?php echo esc_url( get_permalink() ); ?>"> <?php echo PG_Image::getPostImage( null, 'post-thumbnail', array(
                                        'class' => 'object-cover rounded-3xl w-full',
                                        'sizes' => '(max-width: 640px) 95vw, (max-width: 768px) 84vw, (max-width: 1536px) 24vw, 376px'
                                ), 'both', null ) ?> </a>
                        </div>
                    </div>
                    <div class="flex flex-wrap -mx-4">
                        <div class="mb-8 prose px-4 w-full">
                            <?php the_content(); ?>
                        </div>
                    </div>
                </div>
            </section>
        </div>
    <?php endwhile; ?>
<?php else : ?>
    <p><?php _e( 'Sorry, no posts matched your criteria.', 'flexwebsite' ); ?></p>
<?php endif; ?>
<?php if ( is_active_sidebar( 'bottom' ) ) : ?>
    <div class="pg-empty-placeholder">
        <?php dynamic_sidebar( 'bottom' ); ?>
    </div>
<?php endif; ?>

<?php get_footer(); ?>